Bug 1770743 - python-urllib3: Remove (sub)packages from Fedora 32+: python2-urllib3
Summary: python-urllib3: Remove (sub)packages from Fedora 32+: python2-urllib3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-urllib3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1761789 (view as bug list)
Depends On:
Blocks: F32FailsToInstall PY2REMOVAL PY2FTBI F31_PY2REMOVAL 1761787
TreeView+ depends on / blocked
 
Reported: 2019-11-11 09:28 UTC by Miro Hrončok
Modified: 2019-11-25 19:38 UTC (History)
10 users (show)

Fixed In Version: python-urllib3-1.25.7-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-18 09:56:02 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2019-11-11 09:28:07 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-urllib3 were marked for removal:

 * python2-urllib3

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package in Rawhide (Fedora 32).

Please don't remove packages from Fedora 31/30/29, removing packages from a released Fedora branch is forbidden.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

If you do the change yourself, it would help us a lot by reducing the amount of packages we need to mass change.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2019-11-11 09:29:48 UTC
*** Bug 1761789 has been marked as a duplicate of this bug. ***

Comment 2 George B. Magklaras 2019-11-25 16:24:23 UTC
I protest, this has broken already a number of our systems. We *know* that Python 2.7 is EOL. However, removing packages like that on an existing distro is really to be avoided. Any chance of taking this module off the blacklist for say a month?

GM

Comment 3 George B. Magklaras 2019-11-25 16:31:40 UTC
(In reply to George B. Magklaras from comment #2)
> I protest, this has broken already a number of our systems. We *know* that
> Python 2.7 is EOL. However, removing packages like that on an existing
> distro is really to be avoided. Any chance of taking this module off the
> blacklist for say a month?
> 
> GM

To clarify on my previous comment, this on a GA version (Fedora 30) fails (see below). My understanding is that this is not an issue for a dev repo but for production systems. Removing packages like that and giving one week for people to react is not really a good practice, sorry to say:

[root@cluster1 httpd]# dnf -y -v install python2-urllib3
Loaded plugins: builddep, changelog, config-manager, copr, debug, debuginfo-install, download, generate_completion_cache, needs-restarting, playground, repoclosure, repodiff, repograph, repomanage, reposync, system-upgrade
DNF version: 4.2.11
cachedir: /var/cache/dnf
....

Running transaction
  Preparing        :                                                                                                                                                                                                               1/1 
  Installing       : python2-urllib3-1.25.7-1.fc30.noarch                                                                                                                                                                          1/1 
Error unpacking rpm package python2-urllib3-1.25.7-1.fc30.noarch
Errors occurred during transaction.
  Verifying        : python2-urllib3-1.25.7-1.fc30.noarch                                                                                                                                                                          1/1 
Completion plugin: Generating completion cache...

Failed:
  python2-urllib3-1.25.7-1.fc30.noarch                                                                                                                                                                                                 

Error: Transaction failed

Comment 4 Zbigniew Jędrzejewski-Szmek 2019-11-25 17:24:24 UTC
George, you're seeing some different issue. The package is still available on Fedora 30,
but unpacking the package fails on your system. It installs fine here, so it seems to
be some local issue. Maybe try installing it directly using rpm to see if there are
more errors visible.

Comment 5 George B. Magklaras 2019-11-25 18:00:53 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #4)
> George, you're seeing some different issue. The package is still available
> on Fedora 30,
> but unpacking the package fails on your system. It installs fine here, so it
> seems to
> be some local issue. Maybe try installing it directly using rpm to see if
> there are
> more errors visible.

OK, I will try to troubleshoot the dnf install step then, thanks for your fast response.

GM

Comment 6 Miro Hrončok 2019-11-25 19:38:25 UTC
The change requested here is happening on rawhide only.

The week notice is indeed quite short, but the maintainers are aware of this happening for a while now.


Note You need to log in before you can comment on or make changes to this bug.